class Contract:

    def __init__(self, id=None, bizId=None, subject=None, description=None, sn=None, expireTime=None, tenantName=None,
                 ordinal=None, send=None, category=None, creator=None, signatories=None, templateParams=None,
                 documents=None):
        self.__id = id
        self.__bizId = bizId
        self.__subject = subject
        self.__description = description
        self.__sn = sn
        self.__expireTime = expireTime
        self.__tenantName = tenantName
        self.__ordinal = ordinal
        self.__send = send
        self.__category = category
        self.__creator = creator
        self.__signatories = signatories
        self.__templateParams = templateParams
        self.__documents = documents

    def get_id(self):
        return self.__id

    def set_id(self, value):
        self.__id = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_subject(self):
        return self.__subject

    def set_subject(self, value):
        self.__subject = value

    def get_description(self):
        return self.__description

    def set_description(self, value):
        self.__description = value

    def get_sn(self):
        return self.__sn

    def set_sn(self, value):
        self.__sn = value

    def get_expireTime(self):
        return self.__expireTime

    def set_expireTime(self, value):
        self.__expireTime = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_ordinal(self):
        return self.__ordinal

    def set_ordinal(self, value):
        self.__ordinal = value

    def get_send(self):
        return self.__send

    def set_send(self, value):
        self.__send = value

    def get_category(self):
        return self.__category

    def set_category(self, value):
        self.__category = value

    def get_creator(self):
        return self.__creator

    def set_creator(self, value):
        self.__creator = value

    def get_signatories(self):
        return self.__signatories

    def set_signatories(self, value):
        self.__signatories = value

    def get_templateParams(self):
        return self.__templateParams

    def set_templateParms(self, value):
        self.__templateParams = value

    def get_documents(self):
        return self.__documents

    def set_documents(self, value):
        self.__documents = value

    def to_json(self):
        json_dic = {}
        if self.__id is not None:
            json_dic['id'] = self.__id
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__creator is not None:
            json_dic['creator'] = self.__creator.tojson()
        if self.__send is not None:
            json_dic['send'] = self.__send
        if self.__category is not None:
            json_dic['category'] = self.__category.to_json()
        if self.__description is not None:
            json_dic['description'] = self.__description
        if self.__expireTime is not None:
            json_dic['expireTime'] = self.__expireTime
        if self.__subject is not None:
            json_dic['subject'] = self.__subject
        if self.__sn is not None:
            json_dic['sn'] = self.__sn
        if self.__ordinal is not None:
            json_dic['ordinal'] = self.__ordinal
        if self.__templateParams is not None:
            param_list = []
            for templateParam in self.__templateParams:
                param_list.append(templateParam.to_json())
            json_dic['templateParams'] = param_list
        if self.__signatories is not None:
            signatories_list = []
            for signatory in self.__signatories:
                signatories_list.append(signatory.to_json())
            json_dic['signatories'] = signatories_list
        return json_dic
