class Signatory:

    def __init__(self, id=None, tenantType=None, tenantName=None, receiver=None, serialNo=None, actions=None,
                 attachments=None, userAuthInfo=None):
        self.__id = id
        self.__tenantType = tenantType
        self.__tenantName = tenantName
        self.__receiver = receiver
        self.__serialNo = serialNo
        self.__actions = actions
        self.__attachments = attachments
        self.__userAuthInfo = userAuthInfo

    def get_id(self):
        return self.__id

    def set_id(self, value):
        self.__id = value

    def get_tenantType(self):
        return self.__tenantType

    def set_tenantType(self, value):
        self.__tenantType = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_receiver(self):
        return self.__receiver

    def set_receiver(self, value):
        self.__receiver = value

    def get_serialNo(self):
        return self.__serialNo

    def set_serialNo(self, value):
        self.__serialNo = value

    def get_actions(self):
        return self.__actions

    def set_actions(self, value):
        self.__actions = value

    def get_attachments(self):
        return self.__attachments

    def set_attachments(self, value):
        self.__attachments = value

    def get_userAuthInfo(self):
        return self.__userAuthInfo

    def set_userAuthInfo(self, value):
        self.__userAuthInfo = value

    def to_json(self):
        json_dic = {}
        if self.__id is not None:
            json_dic['id'] = self.__id
        if self.__tenantType is not None:
            json_dic['tenantType'] = self.__tenantType
        if self.__tenantName is not None:
            json_dic['tenantName'] = self.__tenantName
        if self.__receiver is not None:
            json_dic['receiver'] = self.__receiver.to_json()
        if self.__serialNo is not None:
            json_dic['serialNo'] = self.__serialNo
        if self.__actions is not None:
            action_list = []
            for action in self.__actions:
                action_list.append(action.to_json())
            json_dic['actions'] = action_list
        if self.__attachments is not None:
            attachment_list = []
            for attachment in self.__attachments:
                attachment_list.append(attachment.to_json())
            json_dic['attachments'] = attachment_list
        if self.__userAuthInfo is not None:
            json_dic['userAuthInfo'] = self.__userAuthInfo.to_json()
        return json_dic
