from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class DocumentDownloadRequest(BaseHttpRequest):

    def __init__(self, documentId=None):
        self.__documentId = documentId

    def get_documentId(self):
        return self.__documentId

    def set_documentId(self, value):
        self.__documentId = value

    def get_path(self):
        return '/v2/document/download'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__documentId is not None:
            parameter.add_params('documentId', self.__documentId)
        return parameter
