from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *


class AttachmentDownloadRequest(BaseHttpRequest):

    def __init__(self, contractId=None, bizId=None, origin=None, tenantName=None):
        self.__contractId = contractId
        self.__bizId = bizId
        self.__origin = origin
        self.__tenantName = tenantName

    def get_contractId(self):
        return self.__contractId

    def set_contractId(self, value):
        self.__contractId = value

    def get_bizId(self):
        return self.__bizId

    def set_bizId(self, value):
        self.__bizId = value

    def get_origin(self):
        return self.__origin

    def set_origin(self, value):
        self.__origin = value

    def get_tenantName(self):
        return self.__tenantName

    def set_tenantName(self, value):
        self.__tenantName = value

    def get_path(self):
        return '/v2/attachment/download'

    def get_params(self):
        parameter = HttpParameter(RequestMethod.GET)
        if self.__contractId is not None:
            parameter.add_params('contractId', self.__contractId)
        if self.__bizId is not None:
            parameter.add_params('bizId', self.__bizId)
        if self.__origin is not None:
            parameter.add_params('origin', self.__origin)
        if self.__tenantName is not None:
            parameter.add_params('tenantName', self.__tenantName)
        return parameter
