from httpClient.BaseHttpRequest import *
from httpClient.HttpParameter import *
from httpClient.RequestMethod import *
import json


class ContractDraftRequest(BaseHttpRequest):

    def __init__(self, contract=None):
        self.__contract = contract

    def get_contract(self):
        return self.__contract

    def set_contract(self, value):
        self.__contract = value

    def get_path(self):
        return '/v2/contract/draft'


    def get_params(self):
        parameter = HttpParameter(RequestMethod.POST)
        if self.__contract is not None:
            parameter.set_json(json.dumps(self.__contract.to_json()))
        return parameter
